Skip to main content
POST
/
v3
/
async
/
vidu-q1-text2video
Vidu Q1 Text to Video
curl --request POST \
  --url https://api.novita.ai/v3/async/vidu-q1-text2video \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "prompt": "<string>",
  "style": "<string>",
  "duration": 123,
  "seed": 123,
  "aspect_ratio": "<string>",
  "resolution": "<string>",
  "movement_amplitude": "<string>",
  "bgm": true
}
'
import requests

url = "https://api.novita.ai/v3/async/vidu-q1-text2video"

payload = {
"prompt": "<string>",
"style": "<string>",
"duration": 123,
"seed": 123,
"aspect_ratio": "<string>",
"resolution": "<string>",
"movement_amplitude": "<string>",
"bgm": True
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
prompt: '<string>',
style: '<string>',
duration: 123,
seed: 123,
aspect_ratio: '<string>',
resolution: '<string>',
movement_amplitude: '<string>',
bgm: true
})
};

fetch('https://api.novita.ai/v3/async/vidu-q1-text2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Vidu Q1 Text to Video generates smooth and seamless videos by utilizing keyframes to maintain consistent themes.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

prompt
string
required
Text prompt for video generation, with a maximum length of 1500 characters.
style
string
The style of output video. Default: general
Accepted values: general, anime
  • general: General style. Allows style control through prompts
  • anime: Anime style. Optimized for anime aesthetics, with better performance for anime-related prompts
duration
integer
Video duration in seconds. Default is 5 seconds, with 5 being the only available option.
seed
integer
Random seed for video generation.
  • Defaults to a random seed number
  • Manually set values will override the default random seed
aspect_ratio
string
The aspect ratio of the output video. Default: 16:9
Accepted values: 16:9, 9:16, 1:1
resolution
string
Output video resolution. Default is 1080p, with 1080p as the only option available.
movement_amplitude
string
The movement amplitude of objects in the frame. Default: auto
Accepted values: auto, small, medium, large
bgm
boolean
Whether to add background music to the generated video. Default: false
Acceptable values: true, false
When true, the system will automatically add a suitable BGM. BGM has no time limit and the system automatically adapts.

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on January 14, 2026